{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "silverlabs_nat:red_panda",
      "materials": {
        "default": "entity_alphatest"
      },
      "textures": {
        "default": "textures/sf/nba/entity/red_panda"
      },
      "geometry": {
        "default": "geometry.silverlabs_nat.red_panda"
      },
      "animations": {
        "walk": "animation.silverlabs_nat.red_panda.walk",
        "run": "animation.silverlabs_nat.red_panda.run",
        "sleep": "animation.silverlabs_nat.red_panda.sleep",
        "sleep_stand_controller": "controller.animation.silverlabs_nat.red_panda.sleep_stand",
        "standing": "animation.silverlabs_nat.red_panda.standing",
        "idle": "animation.silverlabs_nat.red_panda.idle",
        "baby_transform": "animation.silverlabs_nat.red_panda.baby_transform",
        "sit": "animation.silverlabs_nat.red_panda.sit",
        "move": "controller.animation.silverlabs_nat.red_panda.move"
      },
      "scripts": {
        "initialize": [
          "v.is_moving = 0;"
        ],
        "pre_animation": [
          "v.is_moving = q.modified_move_speed >= 0.1;",
          "v.is_sprinting = (q.modified_move_speed * (q.is_baby ? 0.7 : 1) - (q.distance_from_camera * 0.000001)) >= 0.4 ? 1;",
          "v.anim_speed_multiplier = 1.5;",
          "v.anim_speed_movement_max = 0.35;"
        ],
        "animate": [
          {
            "baby_transform": "q.is_baby"
          },
          "sleep_stand_controller",
          {
            "move": "q.is_sitting || (!q.property('silverlabs_nat:red_panda_sleep') && !q.property('silverlabs_nat:red_panda_standing'))"
          }
        ]
      },
      "render_controllers": [
        "controller.render.silverlabs_nat.red_panda"
      ],

      "spawn_egg": {
        "texture": "silverlabs_nat.red_panda_spawn_egg"
      },
      "sound_effects": {
        "step": "silverlabs_nat.step.medpaw",
        "step_-6dB": "silverlabs_nat.step.medpaw_-6dB",
        "step_-12dB": "silverlabs_nat.step.medpaw_-12dB"
      }
    }
  }
}
